Package ghidra.trace.database.symbol

# Class DBTraceLabelSymbolView

java.lang.Object
ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView<DBTraceLabelSymbol>
ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeWithLocationView<DBTraceLabelSymbol>
ghidra.trace.database.symbol.DBTraceLabelSymbolView

All Implemented Interfaces:
  `TraceLabelSymbolView`, `TraceSymbolView<TraceLabelSymbol>`, `TraceSymbolWithLocationView<TraceLabelSymbol>`

public class DBTraceLabelSymbolView extends AbstractDBTraceSymbolSingleTypeWithLocationView<DBTraceLabelSymbol> implements TraceLabelSymbolView

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeWithLocationView

  `AbstractDBTraceSymbolSingleTypeWithLocationView.CacheForGetSymbolsAtQueries, AbstractDBTraceSymbolSingleTypeWithLocationView.GetSymbolsKey`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeWithLocationView

  `CACHE_ADDRESS_BREADTH, CACHE_MAX_POINTS, CACHE_SNAP_BREADTH, cacheForAt`

  ### Fields inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView

  `manager, store, symbolsByName, symbolsByParentID, typeID, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceLabelSymbolView(DBTraceSymbolManager manager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DBTraceLabelSymbol`
  `add(Lifespan lifespan, Address address, String name, TraceNamespaceSymbol parent, SourceType source)`
  Add a new label symbol.

  ### Methods inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeWithLocationView

  `getAt, getChildWithNameAt, getIntersecting, getIntersecting, invalidateCache`

  ### Methods inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView

  `constructView, getAll, getByKey, getChildren, getChildrenNamed, getManager, getNamed, getWithMatchingName, scanByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceLabelSymbolView

  `add, add, create, create, create`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolView

  `getAll, getChildren, getChildrenNamed, getGlobals, getGlobalsNamed, getManager, getNamed, getTrace, getWithMatchingName, scanByName, size`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolWithLocationView

  `getAt, getAt, getAt, getChildWithNameAt, getChildWithNameAt, getChildWithNameAt, getGlobalWithNameAt, getIntersecting, getIntersecting, getIntersecting, hasAt`

- ## Constructor Details

  - ### DBTraceLabelSymbolView

    public DBTraceLabelSymbolView(DBTraceSymbolManager manager)

- ## Method Details

  - ### add

    public DBTraceLabelSymbol add(Lifespan lifespan, Address address, String name, TraceNamespaceSymbol parent, SourceType source) throws InvalidInputException, IllegalArgumentException
    Description copied from interface: `TraceLabelSymbolView`
    Add a new label symbol.
    Specified by:
      `add` in interface `TraceLabelSymbolView`
    Parameters:
      `lifespan` - the lifespan of the symbol
      `address` - the address of the label
      `name` - the name of the label
      `parent` - the parent namespace
      `source` - the source
    Returns:
      the new label symbol
    Throws:
      `InvalidInputException` - if the name is not valid
      `IllegalArgumentException`